#include "blitz/protocol/packets/UpdateGameStatePacket.h"

namespace blitz {
namespace protocol {

DataBuffer UpdateGameStatePacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);
	data << m_GameState << m_TimeRemaining;
	return data;
}

void UpdateGameStatePacket::Deserialize(DataBuffer& data) {
	data >> m_GameState >> m_TimeRemaining;
}

}  // namespace protocol
}  // namespace blitz
